routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return redirect('admin');
});

Route::get('change-password/{token}', 'ChangePasswordController@changePassword')->name('change.password');
Route::post('update-password', 'ChangePasswordController@updatePassword')->name('update.password');

Auth::routes();

Route::middleware(['auth', 'is_admin'])->group(function () {
    Route::group(['prefix' => 'admin', 'as' => 'admin.'], function () {
        Route::get('/', [App\Http\Controllers\DashboardController::class, 'index'])->name('index');

        Route::group(['prefix' => 'users', 'as' => 'users.'], function () {
            Route::get('/{role}', 'UserController@index')->name('index');
            Route::get('/create', 'UserController@create')->name('create');
            Route::get('/{role}/{id}/show', 'UserController@show')->name('show');
            Route::post('/', 'UserController@store')->name('store');
            Route::get('/{id}/edit', 'UserController@edit')->name('edit');
            Route::post('/{id}', 'UserController@update')->name('update');
            Route::get('/delete/{id}', 'UserController@destroy')->name('destroy');
            Route::get('/approve/user/{id}', 'UserController@approveUser')->name('approve.user');
            Route::get('/approve/board-member/{id}', 'UserController@approveAsBoardMember')->name('approve.board-member');
        });

        Route::group(['prefix' => 'attributes', 'as' => 'attributes.'], function () {
            Route::group(['prefix' => 'business-category', 'as' => 'business-category.'], function () {
                Route::get('/', 'BusinessCategoryController@index')->name('index');
                Route::get('/create', 'BusinessCategoryController@create')->name('create');
                Route::post('/', 'BusinessCategoryController@store')->name('store');
                Route::get('/{id}/edit', 'BusinessCategoryController@edit')->name('edit');
                Route::post('/{id}', 'BusinessCategoryController@update')->name('update');
                Route::get('/delete/{id}', 'BusinessCategoryController@destroy')->name('destroy');
            });

            Route::group(['prefix' => 'business-type', 'as' => 'business-type.'], function () {
                Route::get('/', 'BusinessTypeController@index')->name('index');
                Route::get('/create', 'BusinessTypeController@create')->name('create');
                Route::post('/', 'BusinessTypeController@store')->name('store');
                Route::get('/{id}/edit', 'BusinessTypeController@edit')->name('edit');
                Route::post('/{id}', 'BusinessTypeController@update')->name('update');
                Route::get('/delete/{id}', 'BusinessTypeController@destroy')->name('destroy');
            });

            Route::group(['prefix' => 'funding-type', 'as' => 'funding-type.'], function () {
                Route::get('/', 'FundingTypeController@index')->name('index');
                Route::get('/create', 'FundingTypeController@create')->name('create');
                Route::post('/', 'FundingTypeController@store')->name('store');
                Route::get('/{id}/edit', 'FundingTypeController@edit')->name('edit');
                Route::post('/{id}', 'FundingTypeController@update')->name('update');
                Route::get('/delete/{id}', 'FundingTypeController@destroy')->name('destroy');
            });

            Route::group(['prefix' => 'quiz', 'as' => 'quiz.'], function () {
                Route::get('/', 'QuizController@index')->name('index');
                Route::get('/create', 'QuizController@create')->name('create');
                Route::post('/', 'QuizController@store')->name('store');
                Route::get('/{id}/edit', 'QuizController@edit')->name('edit');
                Route::post('/{id}', 'QuizController@update')->name('update');
                Route::get('/delete/{id}', 'QuizController@destroy')->name('destroy');
            });

            Route::group(['prefix' => 'portfolio', 'as' => 'portfolio.'], function () {
                Route::get('/', 'PortfolioController@index')->name('index');
                Route::get('/create', 'PortfolioController@create')->name('create');
                Route::post('/', 'PortfolioController@store')->name('store');
                Route::get('/{id}/edit', 'PortfolioController@edit')->name('edit');
                Route::post('/{id}', 'PortfolioController@update')->name('update');
                Route::get('/delete/{id}', 'PortfolioController@destroy')->name('destroy');
            });

            Route::group(['prefix' => 'industry', 'as' => 'industry.'], function () {
                Route::get('/', 'IndustryController@index')->name('index');
                Route::get('/create', 'IndustryController@create')->name('create');
                Route::post('/', 'IndustryController@store')->name('store');
                Route::get('/{id}/edit', 'IndustryController@edit')->name('edit');
                Route::post('/{id}', 'IndustryController@update')->name('update');
                Route::get('/delete/{id}', 'IndustryController@destroy')->name('destroy');
            });

            Route::group(['prefix' => 'specialty', 'as' => 'specialty.'], function () {
                Route::get('/', 'SpecialtyController@index')->name('index');
                Route::get('/create', 'SpecialtyController@create')->name('create');
                Route::post('/', 'SpecialtyController@store')->name('store');
                Route::get('/{id}/edit', 'SpecialtyController@edit')->name('edit');
                Route::post('/{id}', 'SpecialtyController@update')->name('update');
                Route::get('/delete/{id}', 'SpecialtyController@destroy')->name('destroy');
            });

            Route::group(['prefix' => 'membership-plans', 'as' => 'membership-plans.'], function () {
                Route::get('/', 'MembershipController@index')->name('index');
                Route::get('/create', 'MembershipController@create')->name('create');
                Route::post('/', 'MembershipController@store')->name('store');
                Route::get('/{id}/edit', 'MembershipController@edit')->name('edit');
                Route::post('/{id}', 'MembershipController@update')->name('update');
                Route::get('/delete/{id}', 'MembershipController@destroy')->name('destroy');
            });

            Route::group(['prefix' => 'investor-benefits', 'as' => 'investor-benefits.'], function () {
                Route::get('/', 'InvestorBenefitsController@index')->name('index');
                Route::get('/create', 'InvestorBenefitsController@create')->name('create');
                Route::post('/', 'InvestorBenefitsController@store')->name('store');
                Route::get('/{id}/edit', 'InvestorBenefitsController@edit')->name('edit');
                Route::post('/{id}', 'InvestorBenefitsController@update')->name('update');
                Route::get('/delete/{id}', 'InvestorBenefitsController@destroy')->name('destroy');
            });

            Route::group(['prefix' => 'board-member-benefits', 'as' => 'board-member-benefits.'], function () {
                Route::get('/', 'BoardMemberBenefitsController@index')->name('index');
                Route::get('/create', 'BoardMemberBenefitsController@create')->name('create');
                Route::post('/', 'BoardMemberBenefitsController@store')->name('store');
                Route::get('/{id}/edit', 'BoardMemberBenefitsController@edit')->name('edit');
                Route::post('/{id}', 'BoardMemberBenefitsController@update')->name('update');
                Route::get('/delete/{id}', 'BoardMemberBenefitsController@destroy')->name('destroy');
            });
        });

        Route::group(['prefix' => 'interests', 'as' => 'interests.'], function () {
          Route::get('/', 'InterestController@index')->name('index');
          Route::get('/create', 'InterestController@create')->name('create');
          Route::post('/', 'InterestController@store')->name('store');
          Route::get('/{id}/edit', 'InterestController@edit')->name('edit');
          Route::post('/{id}', 'InterestController@update')->name('update');
          Route::get('/delete/{id}', 'InterestController@destroy')->name('destroy');
        });

        Route::group(['prefix' => 'deals', 'as' => 'deals.'], function () {
            Route::get('/', 'DealController@index')->name('index');
            Route::get('/{id}', 'DealController@show')->name('show');
            Route::get('/delete/{id}', 'DealController@destroy')->name('destroy');
            Route::get('approve/deal/{id}', 'DealController@approveDeal')->name('approve.deal');
            Route::post('reject/deal/{id}', 'DealController@rejectDeal')->name('reject.deal');
        });
    });
});

// Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
// Route::get('/command', function() {
//     $exitCode = Artisan::call('migrate');
// });

resources/views/admin/attributes/membership-plans/create.blade.php
@extends('layouts.admin')

@section('content')
<div class="container-fluid">

    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <div class="page-title-right">
                    <form class="d-flex">
                        <a href="{{ route('admin.attributes.membership-plans.index') }}" class="btn btn-primary ms-2">
                            Back
                        </a>
                    </form>
                </div>
                <h4 class="page-title">Create Membership Plan</h4>
            </div>
        </div>
    </div>
    <!-- end page title -->

    <div class="row">
        <div class="col-xl-12 col-lg-12">
            <div class="card">
                <div class="card-body">
                    <form action="{{ route('admin.attributes.membership-plans.store') }}" method="post">
                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                        <div class="mb-3">
                            <label for="name" class="form-label">Plan Name</label>
                            <input type="text" class="form-control" name="name" id="name" placeholder="Enter Plan Name" value="{{ old('name') }}" required>
                            @error('name')
                                <span class="text-danger">{{ $message }}</span>
                            @enderror
                        </div>
                        <div class="mb-3">
                            <label for="monthly_rate" class="form-label">Monthly Rate</label>
                            <input type="text" class="form-control" name="monthly_rate" id="monthly_rate" placeholder="Enter Monthly Rate" value="{{ old('monthly_rate') }}" required>
                            @error('monthly_rate')
                                <span class="text-danger">{{ $message }}</span>
                            @enderror
                        </div>
                        <div class="mb-3">
                            <label for="yearly_rate" class="form-label">Yearly Rate</label>
                            <input type="text" class="form-control" name="yearly_rate" id="yearly_rate" placeholder="Enter Yearly Rate" value="{{ old('yearly_rate') }}" required>
                            @error('yearly_rate')
                                <span class="text-danger">{{ $message }}</span>
                            @enderror
                        </div>
                        <div class="">
                            <div class="row">
                                <div class="col-10">
                                    <label for="benifits" class="form-label">Benifits</label>
                                </div>
                                <div class="col-2">
                                    <label for="" class="form-label">Add / Remove</label>
                                </div>
                            </div>
                        </div>
                        <div class="mb-3">
                            <div class="row">
                                <div class="col-10">
                                    <input type="text" class="form-control" name="benifits[]" id="benifits" placeholder="Enter Benifits" value="{{ old('benifits') }}" required>
                                </div>
                                <div class="col-2">
                                    <div class="row">
                                        <div class="col-6">
                                            <button type="button" class="btn btn-info form-control" onclick="addMore()" name="button"><i class="uil-plus"></i></button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="new-section"></div>
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </form>
                </div> <!-- end card-body-->
            </div> <!-- end card-->
        </div> <!-- end col-->
    </div>
    <!-- end row -->

</div>

<div class="extra-section" hidden>
    <div class="mb-3">
        <div class="row">
            <div class="col-10">
                <input type="text" class="form-control" name="benifits[]" id="benifits" placeholder="Enter Benifits" value="{{ old('benifits') }}" required>
            </div>
            <div class="col-2">
                <div class="row">
                    <div class="col-6">
                        <button type="button" class="btn btn-info form-control" onclick="addMore()" name="button"><i class="uil-plus"></i></button>
                    </div>
                    <div class="col-6">
                        <button type="button" class="btn btn-danger form-control" onclick="removeRow(this)" name="button"><i class="uil-multiply"></i></button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('extra_script')
<script type="text/javascript">
function addMore() {
    var _html = $('.extra-section').html();
    $('.new-section').append(_html);
}

function removeRow(element) {
    var test = element.parentElement.parentElement.parentElement.parentElement;
    test.remove();
}
</script>
@endsection

resources/views/admin/attributes/membership-plans/edit.blade.php
@extends('layouts.admin')

@section('content')
<div class="container-fluid">

    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <div class="page-title-right">
                    <form class="d-flex">
                        <a href="{{ route('admin.attributes.membership-plans.index') }}" class="btn btn-primary ms-2">
                            Back
                        </a>
                    </form>
                </div>
                <h4 class="page-title">Membership Plan</h4>
            </div>
        </div>
    </div>
    <!-- end page title -->

    <div class="row">
        <div class="col-xl-12 col-lg-12">
            <div class="card">
                <div class="card-body">
                    <form action="{{ route('admin.attributes.membership-plans.update', ['id' => $membershipPlan->id]) }}" method="post">
                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                        <div class="mb-3">
                            <label for="name" class="form-label">Name</label>
                            <input type="text" class="form-control" name="name" id="name" placeholder="Enter name" value="{{ old('name', $membershipPlan->name) }}">
                            @error('name')
                                <span class="text-danger">{{ $message }}</span>
                            @enderror
                        </div>
                        <div class="mb-3">
                            <label for="monthly_rate" class="form-label">Monthly Rate</label>
                            <input type="text" class="form-control" name="monthly_rate" id="monthly_rate" placeholder="Enter Monthly Rate" value="{{ old('monthly_rate', $membershipPlan->monthly_rate) }}" required>
                            @error('monthly_rate')
                                <span class="text-danger">{{ $message }}</span>
                            @enderror
                        </div>
                        <div class="mb-3">
                            <label for="yearly_rate" class="form-label">Yearly Rate</label>
                            <input type="text" class="form-control" name="yearly_rate" id="yearly_rate" placeholder="Enter Yearly Rate" value="{{ old('yearly_rate', $membershipPlan->yearly_rate) }}" required>
                            @error('yearly_rate')
                                <span class="text-danger">{{ $message }}</span>
                            @enderror
                        </div>
                        <div class="">
                            <div class="row">
                                <div class="col-10">
                                    <label for="benifits" class="form-label">Benifits</label>
                                </div>
                                <div class="col-2">
                                    <label for="" class="form-label">Add / Remove</label>
                                </div>
                            </div>
                        </div>
                        @forelse ($benifits as $benifit)
                            <div class="mb-3">
                                <div class="row">
                                    <div class="col-10">
                                        <input type="text" class="form-control" name="benifits[]" id="benifits" placeholder="Enter Benifits" value="{{ old('benifits', $benifit) }}" required>
                                    </div>
                                    <div class="col-2">
                                        <div class="row">
                                            <div class="col-6">
                                                <button type="button" class="btn btn-info form-control" onclick="addMore()" name="button"><i class="uil-plus"></i></button>
                                            </div>
                                            <div class="col-6">
                                                <button type="button" class="btn btn-danger form-control remove-btn-class" onclick="removeRow(this)" name="button"><i class="uil-multiply"></i></button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        @empty
                            <div class="mb-3">
                                <div class="row">
                                    <div class="col-10">
                                        <input type="text" class="form-control" name="benifits[]" id="benifits" placeholder="Enter Benifits" value="{{ old('benifits') }}" required>
                                    </div>
                                    <div class="col-2">
                                        <div class="row">
                                            <div class="col-6">
                                                <button type="button" class="btn btn-info form-control" onclick="addMore()" name="button"><i class="uil-plus"></i></button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        @endforelse
                        <div class="new-section"></div>
                        <button type="submit" class="btn btn-primary">Save</button>
                    </form>
                </div> <!-- end card-body-->
            </div> <!-- end card-->
        </div> <!-- end col-->
    </div>
    <!-- end row -->

</div>

@endsection

@section('extra_script')
<script type="text/javascript">
function addMore() {
    var _html = `<div class="mb-3">
        <div class="row">
            <div class="col-10">
                <input type="text" class="form-control" name="benifits[]" id="benifits" placeholder="Enter Benifits" value="{{ old('benifits') }}" required>
            </div>
            <div class="col-2">
                <div class="row">
                    <div class="col-6">
                        <button type="button" class="btn btn-info form-control" onclick="addMore()" name="button"><i class="uil-plus"></i></button>
                    </div>
                    <div class="col-6">
                        <button type="button" class="btn btn-danger form-control remove-btn-class" onclick="removeRow(this)" name="button"><i class="uil-multiply"></i></button>
                    </div>
                </div>
            </div>
        </div>
    </div>`;
    $('.new-section').append(_html);
}

function removeRow(element) {
    if ($('.remove-btn-class').length > 1) {
        var test = element.parentElement.parentElement.parentElement.parentElement.parentElement;
        test.remove();
    } else {
        $('.remove-btn-class').prop('hidden', true);
    }
}
</script>
@endsection

resources/views/admin/attributes/membership-plans/index.blade.php
@extends('layouts.admin')

@section('content')
<div class="container-fluid">

    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <div class="page-title-right">
                    <form class="d-flex">
                        <a href="{{ route('admin.attributes.membership-plans.create') }}" class="btn btn-primary ms-2">
                            Create Membership Plan
                        </a>
                    </form>
                </div>
                <h4 class="page-title">Membership Plan</h4>
            </div>
            @if (session('success'))
                <div class="alert alert-dark">
                    <span class="text-white">{{ session('success') }}</span>
                </div>
            @endif
            <div class="">

            </div>
        </div>
    </div>
    <!-- end page title -->

    <div class="row">
        <div class="col-xl-12 col-lg-12">
            <div class="card">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-striped table-centered datatable">
                            <thead>
                                <tr>
                                    <th>S.No.</th>
                                    <th>Name</th>
                                    <th>Monthly</th>
                                    <th>Yearly</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($membershipPlans as $key => $membershipPlan)
                                <tr>
                                    <td>{{ ++$key }}</td>
                                    <td>{{ $membershipPlan->name }}</td>
                                    <td>${{ $membershipPlan->monthly_rate }}</td>
                                    <td>${{ $membershipPlan->yearly_rate }}</td>
                                    <td>
                                        <a href="{{ route('admin.attributes.membership-plans.edit', ['id' => $membershipPlan->id]) }}" class="btn btn-outline-dark btn-sm">Edit</a>
                                        <a href="javascript:void(0)" data-name="Membership Plans" data-href="{{ route('admin.attributes.membership-plans.destroy', ['id' => $membershipPlan->id]) }}" class="btn btn-dark btn-sm confirm-delete">Delete</a>
                                    </td>
                                </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div> <!-- end table-responsive-->
                </div> <!-- end card-body-->
            </div> <!-- end card-->
        </div> <!-- end col-->
    </div>
    <!-- end row -->

</div>
@endsection